<template>
  <b-modal
    :model-value="visible"
    :title="$t(titleKey)"
    ok-variant="danger"
    :ok-title="$t('buttons.delete')"
    :cancel-title="$t('buttons.cancel')"
    @hidden="$emit('close')"
    @ok="$emit('delete')"
    @cancel="$emit('close')"
  >
    <i18n-t scope="global" :keypath="descriptionKey" tag="span">
      <template #user>
        <b>{{ selectedUser }}</b>
      </template>
      <template #projectName>
        <b>{{ selectedProject }}</b>
      </template>
    </i18n-t>
  </b-modal>
</template>

<script lang="ts">
export default defineComponent({
  name: "DeleteModal",
  props: {
    descriptionKey: {
      default: "page.members.removeSelectedUser",
      type: String,
    },
    titleKey: {
      default: "page.members.deleteUserTitle",
      type: String,
    },
    visible: {
      default: false,
      type: Boolean,
    },
    selectedUser: {
      default: null,
      type: [String, null] as PropType<string | null>,
    },
    selectedProject: {
      default: null,
      type: [String, null] as PropType<string | null>,
    },
  },
});
</script>

<style></style>
